#ifndef WINDOW_H
#define WINDOW_H

#include <QDialog>
#include <QDir>
#include "ui_DialogSignal.h" 

class Window : public QDialog,
				public Ui::DialogSignalUI
{
    Q_OBJECT

public:
    Window(QWidget *parent = 0);
	~Window(void);

private slots:
	void build();
	void pathChanged();

private:
	QString appPath;

	void updateCSVPath(QString path);
	bool createPath(QString path);
};

#endif
